/*#region form-wrapper*/
.wc-form-wrapper{
    padding: 34px 12px;
    width: 100%;
}
.wc-form-header{
    display: flex;
    align-items: center;
    padding-left: 8px;
}
.wc-form-header span{
    color: #000;
    font-size: 24px;
    font-weight: 500;
}
.wc-form-header svg{
    margin-left: 13px;
}
.wc-form-body{
    padding-top: 16px;
    padding-bottom: 16px;
    width: 100%;
}
.wc-form-h2{
    color: #000;
    font-size: 22px;
    font-weight: 500;
    margin-bottom: 12px;
    margin-top: 10px;
}
.wc-form-h3{
    color: #000;
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 12px;
    margin-top: 10px;
}
/*#endregion*/

/*#region Inputs*/
.wc-input{
    display: block;
    padding: 11px 18px;
    margin-bottom: 1rem;
    width: 100%;
    font-weight: 500;
    text-align: left;

    color: #000000;
    background-color: #FFF;
    border-radius: 40px;
    border: 1px solid #D9D9D9;
    box-shadow: 0 4px 2px 0 rgba(0, 0, 0, 0.05);

    transition: box-shadow .15s ease-in-out;

    outline: none;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
textarea.wc-input{
    min-height: 48px;
}
.wc-input__icon-left{
    padding: 15px 18px 15px 23px!important;
}
.wc-input__icon-right{
    padding: 0;
    position: absolute;
    z-index: 2;
    right: 18px;
    top: 12px;
    border: none;
    color: rgba(0, 0, 0, 0.70);
    fill: rgba(0, 0, 0, 0.70);
}

.wc-select{
    padding-right: 45px!important;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-color: unset!important;
}

.wc-button{
    display: block;
    min-width: 140px;
    padding: 11px 20px;

    text-align: center;
    color: #000000;
    font-size: 14px;
    font-weight: 700;

    border-radius: 40px;
    border: 1px solid #D9D9D9;
    background: #FFDE00;

    box-shadow: 0 4px 2px 0 rgba(0, 0, 0, 0.05);
}
a.wc-button{
    text-decoration: none;
}

.wc-checkbox-wrapper{
    display: flex;
    align-items: center;
    column-gap: 12px;
}
.wc-checkbox{
    width: 32px;
    height: 32px;
    flex-shrink: 0;

    background: #FFF;
    border: 1px solid #D9D9D9;
    border-radius: 8px;
    box-shadow: 0 4px 2px 0 rgba(0, 0, 0, 0.05);

    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}
.wc-checkbox-label{
    color: #000000;
    font-size: 16px;
    font-weight: 500;
    overflow-wrap: anywhere;
}

/*#endregion*/

/*#region .wc-input-group, .wc-input-group-adaptive*/
.wc-input-group, .wc-input-group-adaptive{
    display: flex;
    position: relative;
    width: 100%;
    margin-bottom: 1rem;
}
.wc-input-group label, .wc-input-group-adaptive label{
    display: block;
    padding: 11px 18px;
    font-size: 15px;
    font-weight: 400;
    text-align: left;

    color: rgba(0, 0, 0, 0.70);
    background: #FAFAFA;
    border: 1px solid #D9D9D9;
    box-shadow: 0 4px 2px 0 rgba(0, 0, 0, 0.05);

    transition: box-shadow .15s ease-in-out;
}
.wc-input-group .wc-input, .wc-input-group-adaptive .wc-input{
    position: relative;
    z-index: 1;
    flex: 1 1 auto;
    width: 1%;
    margin-top: 0!important;
    margin-bottom: 0!important;
}
.wc-input-group-adaptive > *:not(:first-child):not(:last-child){
    border-radius: 0;
}
.wc-input-group-adaptive > *:first-child,
.wc-input-group label {
    border-radius: 40px 0 0 40px;
}
.wc-input-group-adaptive > *:last-child,
.wc-input-group .wc-input {
    border-radius: 0 40px 40px 0;
}
.wc-input-group .wc-input:first-child:last-child,
.wc-input-group-adaptive > *:first-child:last-child{
    border-radius: 40px
}
.wc-input-group-adaptive > *:not(:first-child),
.wc-input-group .wc-input {
    margin-left: -1px;
}
/*#endregion*/

/*#region .wc-input-group-adaptive--tabs*/
.wc-input-group-adaptive--tabs{
    margin-bottom: 0;
}
.wc-input-group-adaptive--tabs > *{
    min-width: unset;

    color: rgba(0, 0, 0, 0.60);
    text-align: center;

    background: #FFFFFF!important;
    border: 1px solid rgba(0, 0, 0, 0.20);
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.10);

    -webkit-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
}
.wc-input-group-adaptive--tabs > .wc-input{
    color: #000000;
}
.wc-input-group-adaptive--tabs > *:hover:not(:disabled):not(.wc-input){
    color: #000000;
}
/*#endregion*/

/*#region helper, error-msg*/
.wc-helper, .wc-error-msg{
    font-size: 15px;
}
.wc-helper{
    color: rgba(0, 0, 0, 0.70);
}
.wc-error-msg{
    color: #FA4D41;
}
/*#endregion*/

/*#region .wc-input-wrapper*/
.wc-input-wrapper{
    position: relative;
    margin-bottom: 1rem;
}
.wc-input-wrapper .wc-input-group, .wc-input-wrapper .wc-input{
    margin-bottom: .5rem;
}
.wc-helper, .wc-error-msg{
    padding-left: 7px;
}
/*#endregion*/

/*#region wc-week-wrapper*/
.wc-week-wrapper{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1.25rem;
}
.wc-week-prev{
    margin-right: 11px;
}
.wc-week{
    font-weight: 500;
}
.wc-week-next{
    margin-left: 11px;
}
/*#endregion*/

/*#region wc-btn-group*/
.wc-btn-group{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    padding-top: 10px;
}
.wc-iconBtn{
    border: none;
    text-decoration: none;
    text-align: center;
    outline: none;
    height: auto;
    background: none;
    color: #444444;
}
.wc-btn-group-light .wc-iconBtn{
    color: rgba(255,255,255,.55) !important;
}
.wc-btn-group-dark .wc-iconBtn{
    color: #444444 !important;
}

.wc-iconBtn:hover:not(:disabled){
    color: black;
}
.wc-btn-group-light .wc-iconBtn:hover:not(:disabled){
    color: #c79a2d !important;
}
.wc-btn-group-dark .wc-iconBtn:hover:not(:disabled){
    color: black !important;
}

.wc-iconBtn:disabled{
    color: #797979;
}
.wc-btn-group-light .wc-iconBtn:disabled{
    color: rgba(255,255,255,.55) !important;
}
.wc-btn-group-dark .wc-iconBtn:disabled{
    color: #797979 !important;
}
.wc-iconBtn-label{
    margin-top: 0.5rem;
    display: block;
}
.wc-btn-group-light .wc-iconBtn:hover:not(:disabled) .wc-iconBtn-label{
    color: #c79a2d !important;
}
.wc-btn-group-dark .wc-iconBtn:hover:not(:disabled) .wc-iconBtn-label{
    color: black !important;
}
/*#endregion*/

/*#region .wc-input__label-sum*/
.wc-input__label-sum{
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;

    margin-top: 2px;
    padding-left: 10px!important;

    height: 48px;

    color: rgba(0, 0, 0, .35)!important;
    font-size: 14px!important;

    background: none!important;
    box-shadow: none!important;
    border: none!important;
}
/*#endregion*/

/*#region .wc-input--password*/
.wc-input__icon-password{
    width: 24px;
    height: 24px;
}
.wc-input__icon-password:not(.password-view) .bi-eye{
    display: inline-block;
}
.wc-input__icon-password:not(.password-view) .bi-eye-slash{
    display: none;
}
.wc-input__icon-password.password-view .bi-eye{
    display: none;
}
.wc-input__icon-password.password-view .bi-eye-slash{
    display: inline-block;
}
.wc-input--password{
    padding-right: 50px !important;
}
/*#endregion*/

/*#region .wc-input-button-group*/
.wc-input-button-group{
    position: relative;
}
.wc-input__rightButton{
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;

    margin-top: 0;
    padding-left: 10px!important;

    height: 48px;

    color: #000000;
    font-size: 16px!important;
    font-weight: 500;

    background: none!important;
    box-shadow: none!important;
    border: none!important;
}
.wc-input__rightButton:not(:disabled):hover{
    cursor: pointer!important;
}
.wc-input__rightButton:disabled{
    color: #757575;
}
/*#endregion*/

/*#region .clientInfo*/
.clientInfo{
    color: rgba(0, 0, 0, 0.60);
    font-weight:400;
}

.clientInfo span{
    margin-left: 3px;
    color:#000;
    font-weight: 500;
}
/*#endregion*/

/*#region Псевдоклассы*/
.wc-input::placeholder, .wc-input::-moz-placeholder, .wc-input:-ms-input-placeholder{
    color: rgba(0, 0, 0, 0.60);
}
.wc-input:focus,
.wc-input-group:focus-within > *,
.wc-input-group-adaptive:focus-within > *,
.wc-button:not(:disabled):hover{
    box-shadow:none;
}
.wc-input:not(:placeholder-shown):not(input[type='date']):not(input[type='month']){
    background-color: #fffce5;
}
.wc-input:disabled{
    background-color: #f5f5f5;
    opacity: 1;
}
.wc-button:disabled{
    background-color: rgba(255, 222, 0, .4);
    color: rgba(0, 0, 0, .7);
}
a.wc-button:hover{
    color: black;
}
.wc-checkbox:checked {
    border: 2px solid #FFDE00;
    background-color: rgba(255, 222, 0, 0.10);
    background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2212%22%20viewBox%3D%220%200%2016%2012%22%20fill%3D%22none%22%3E%0A%20%20%3Cpath%20d%3D%22M14.7481%201.16489C14.4423%200.922872%2013.9766%200.95021%2013.7084%201.22755L5.86267%209.34061L2.2743%205.87711C1.99578%205.60909%201.5301%205.59576%201.23315%205.8471C0.936202%206.09844%200.920726%206.52113%201.19924%206.78982L5.34391%2010.79C5.41302%2010.8563%205.49639%2010.9092%205.58889%2010.9453C5.68139%2010.9814%205.78107%2011%205.88181%2011H5.89433C6.10285%2010.9973%206.29885%2010.9147%206.43663%2010.7727L14.8181%202.1056C15.0856%201.82826%2015.0546%201.40757%2014.7481%201.16489Z%22%20fill%3D%22currentColor%22%20stroke%3D%22currentColor%22%2F%3E%0A%3C%2Fsvg%3E");
    background-repeat: no-repeat;
    background-position: center;
}
.wc-checkbox:hover{
    cursor: pointer;
}
.wc-checkbox:checked + .wc-checkbox-label{
    font-size: 16px;
    font-weight: 500;
}
.wc-checkbox:disabled{
    cursor: default;
    pointer-events: none;
}
.wc-checkbox:disabled + .wc-checkbox-label{
    color: rgba(0, 0, 0, 0.60);
    cursor: default;
    pointer-events: none;
}
/*#endregion*/

/*#region Extensions*/
.wc-input--error{
    background-color: rgba(250, 77, 65, 0.10)!important;
}
.wc-button--maxContent{
    max-width: max-content;
    margin-left: auto;
    margin-right: auto;
}
.wc-button--roundedIcon{
    min-width: unset;
    padding: 13px;

    background-color: #ffffff;
    border: 1px solid #d9d9d9;
    border-radius: 50%;
}
/*#endregion*/

@media (min-width: 576px) {

}

@media (min-width: 768px) {
    .wc-form-wrapper{
        padding: 40px 28px;
    }
    .wc-form-header{
        padding-left: 0;
    }
    .wc-form-header span{
        font-size: 28px;
    }
    .wc-form-h2{
        font-size: 24px;
    }
    .wc-form-body{
        padding-top: 24px;
        padding-bottom: 24px;
    }
    .wc-form-footer{
        padding-bottom: 4px;
    }

    .wc-input, .wc-input-group label, .wc-input-group-adaptive label{
        padding: 11px 22px;
    }
    .wc-helper, .wc-error-msg{
        padding-left: 10px;
    }
    .wc-button{
        font-size: 16px;
    }
}

@media (min-width: 992px) {

}

@media (min-width: 1200px) {
    .wc-form-wrapper{
        padding: 35px 42px;

        border-radius: 10px;
        background: #FFF;
        box-shadow: 0 6px 15px 0 rgba(0, 0, 0, 0.10);
    }
    .wc-form-header{
        margin-left: -42px;
        margin-right: -42px;
        padding: 0 42px 21px 60px;

        border-bottom: 1px solid rgba(0, 0, 0, 0.20);
    }

    .wc-form-body{
        padding-top: 33px;
        padding-bottom: 33px;
    }

    .wc-form-footer{
        margin-left: -42px;
        margin-right: -42px;
        padding: 20px 42px 12px 42px;

        border-top: 1px solid rgba(0, 0, 0, 0.20);
    }
}

@media (min-width: 1400px) {

}